Class | ActiveRecord::ConnectionAdapters::SQLiteAdapter
In: | lib/active_record/connection_adapters/sqlite_adapter.rb
Parent: | AbstractAdapter

The SQLite adapter works with both the 2.x and 3.x series of SQLite with the sqlite-ruby drivers (available both as gems and from rubyforge.org/projects/sqlite-ruby/).

Options:

- `:database` — Path to the database file.

### Methods

catch_schema_changes rename_table requires_reloading? table_structure

### Public Instance methods

rename_table(name, new_name)
requires_reloading?()

### Protected Instance methods

catch_schema_changes() {|| ...}
table_structure(table_name)

[Validate]